Description

Currently, field_last_login_on is translated as "Last connection". This is the English translation of the French "Dernière connexion".

Although it is not generally incorrect to translate "connexion" as "connection", I think the English translation should be "Last sign in".

This is because what is actually shown in "Last connection" is the time of the last login and the translation "Last connection" is

confusing. Many users may take "Last connection" to mean the time of the last access, not the time of the last sign-in. Here is an

example: Defect #20648: Users' "Last connection" is not updated correctly.

I heard that the French word "connexion" has a wide range of meanings and can be used to mean "sign in" or "log in". Here is some

evidence.

1. "connexion" is used to mean "sign in" in several messages in Redmine

  setting_autologin: Durée maximale de connexion automatique

  label_logout: Déconnexion

 2. Google Translate says the French translation of "last sign in" is "dernière connexion"

 clipboard-202304201617-ykljw.png 

3. Google and Microsoft translate "sign in" as "connexion"

 clipboard-202304201624-7iir0.png 

 clipboard-202304201623-nznlm.png 

Based on the above, I believe that the French phrase "Dernière connexion" in Redmine is intended to mean "Last sign in" rather than

"Last connection".

Associated revisions

Revision 22227 - 2023-05-05 06:04 - Go MAEDA

Fix English and Japanese translations of field_last_login_on (#38477).

Patch by Go MAEDA.

History

#1 - 2023-04-20 10:58 - Go MAEDA

- File change-field_last_login_on.patch added

The patch is attached.

#2 - 2023-05-01 05:26 - Go MAEDA

- Subject changed from Change the translations of field_last_login_on (e.g. from "Last connection" to "Last sign in" in English) to Fix the English and

Japanese translations of field_last_login_on

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#3 - 2023-05-05 06:05 - Go MAEDA

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r22227.

Files

clipboard-202304201617-ykljw.png 68.1 KB 2023-04-20 Go MAEDA

clipboard-202304201623-nznlm.png 319 KB 2023-04-20 Go MAEDA

clipboard-202304201624-7iir0.png 42.9 KB 2023-04-20 Go MAEDA

change-field_last_login_on.patch 1.35 KB 2023-04-20 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/22227
http://www.tcpdf.org

